CMSIS-RTOS2: osRtxConfig_t Struct Reference

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osRtxConfig_t Struct Reference

OS Configuration structure.

## Data Fields

uint32_t | flags
| OS Configuration Flags. More...
uint32_t | tick_freq
| Kernel Tick Frequency. More...
uint32_t | robin_timeout
| Round Robin Timeout Tick. More...
struct {
void ** | data
| < ISR Post Processing Queue More...
uint16_t | max
| Maximum Items. More...
uint16_t | padding
} | isr_queue
struct {
void * | stack_addr
| < Memory Pools (Variable Block Size) More...
uint32_t | stack_size
| Stack Memory Size. More...
void * | mp_data_addr
| Memory Pool Memory Address. More...
uint32_t | mp_data_size
| Memory Pool Memory Size. More...
void * | mq_data_addr
| Message Queue Data Memory Address. More...
uint32_t | mq_data_size
| Message Queue Data Memory Size. More...
void * | common_addr
| Common Memory Address. More...
uint32_t | common_size
| Common Memory Size. More...
} | mem
struct {
osRtxMpInfo_t * | stack
| < Memory Pools (Fixed Block Size) More...
osRtxMpInfo_t * | thread
| Thread Control Blocks. More...
osRtxMpInfo_t * | timer
| Timer Control Blocks. More...
osRtxMpInfo_t * | event_flags
| Event Flags Control Blocks. More...
osRtxMpInfo_t * | mutex
| Mutex Control Blocks. More...
osRtxMpInfo_t * | semaphore
| Semaphore Control Blocks. More...
osRtxMpInfo_t * | memory_pool
| Memory Pool Control Blocks. More...
osRtxMpInfo_t * | message_queue
| Message Queue Control Blocks. More...
} | mpi
uint32_t | thread_stack_size
| Default Thread Stack Size. More...
const osThreadAttr_t * | idle_thread_attr
| Idle Thread Attributes. More...
const osThreadAttr_t * | timer_thread_attr
| Timer Thread Attributes. More...
void(* | timer_thread )(void *)
| Timer Thread Function. More...
int32_t(* | timer_setup )(void)
| Timer Setup Function. More...
const osMessageQueueAttr_t * | timer_mq_attr
| Timer Message Queue Attributes. More...
uint32_t | timer_mq_mcnt
| Timer Message Queue maximum Messages. More...

## Field Documentation

uint32_t flags

uint32_t tick_freq

uint32_t robin_timeout

struct { ... } isr_queue

struct { ... } mem

struct { ... } mpi

uint32_t thread_stack_size

const osThreadAttr_t* idle_thread_attr

const osThreadAttr_t* timer_thread_attr

void(* timer_thread)(void *)

int32_t(* timer_setup)(void)

const osMessageQueueAttr_t* timer_mq_attr

uint32_t timer_mq_mcnt